#
# spec file for package perl-CPAN-Changes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Changes
Version:        0.400002
Release:        lp152.3.2
%define cpan_name CPAN-Changes
Summary:        Read and write Changes files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Changes/
Source0:        http://www.cpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
#BuildRequires:  perl(version) >= 0.9906
#Requires:       perl(version) >= 0.9906
%{perl_requires}

%description
It is standard practice to include a Changes file in your distribution. The
purpose the Changes file is to help a user figure out what has changed
since the last release.

People have devised many ways to write the Changes file. A preliminary
specification has been created (the CPAN::Changes::Spec manpage) to
encourage module authors to write clear and concise Changes.

This module will help users programmatically read and write Changes files
that conform to the specification.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Jul 20 2017 coolo@suse.com
- disable perl(version) - obsolete by perl
* Mon Jun 22 2015 coolo@suse.com
- updated to 0.400002
  see /usr/share/doc/packages/perl-CPAN-Changes/Changes
  0.400002 - 2015-06-21
  - revert whitespace changes that were inadvertantly included in previous
    release.
  - escape curly brackets in test to avoid warning in perl 5.22
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.400001
  see /usr/share/doc/packages/perl-CPAN-Changes/Changes
  0.400001 - 2015-05-23
  - accept either UTF-8 or ISO-8859-1 files and decode them
  - only treat bracketed text if it is on its own line with no other brackets
  - bump version.pm prereq to make sure it works properly
  - Let long tokens (like URLs) overflow rather than splitting them into
    multiple likes
  - Don't wrap on non-breaking spaces
  - Clean up packaging
  - Return undef for dates or notes that don't exist
  - Quote meta chars to fix a problem that clobbered dates
    with timezones due to the '+' char (GH #20)
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-CPAN-Changes/Changes
  0.30 2014-07-26
  - Fix for subclassing CPAN::Changes::Group (GH #23)
  0.29 2014-07-23
  - Groups are now objects (CPAN::Changes::Group). Backwards
    compatibility from hashes should be preserved (GH #22)
  0.28 2014-06-10
  - Add "SEE ALSO" links to similar modules (RT #94636)
  - Use perl 5.8-compatible regex
  0.27 2013-12-13
    [ Spec Changes ]
  - Bump version to 0.04
  - Allow non-"word" characters between a Version and a Date
  0.26 2013-11-21
  - Fix reference issues when adding a release (RT #90605)
  0.25 2013-10-08
  - Move Text::Wrap usage to proper module (Michal Spacek)
  - Typo fix (Karen Etheridge)
  0.24 2013-10-07
  - Fix Dist::Zilla date parsing. Now puts timezone data in
    note section (Github #17)
* Tue Oct  1 2013 coolo@suse.com
- initial package 0.23
  * created by cpanspec 1.78.07
